Subject: [PATCH CFT net-next 0/5] Trivial DSA conversions to phylink_generic_validate()

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 27 Jan 2022 11:01:54 +0000

Hi,

This series converts five DSA drivers to use phylink_generic_validate().
I'd appreciate some reviews and tested-bys for this. Thanks.

 drivers/net/dsa/bcm_sf2.c           | 54 +++++++++---------------------
 drivers/net/dsa/microchip/ksz8795.c | 45 +++++++------------------
 drivers/net/dsa/qca/ar9331.c        | 45 ++++++-------------------
 drivers/net/dsa/qca8k.c             | 66 +++++++++++--------------------------
 drivers/net/dsa/xrs700x/xrs700x.c   | 29 +++++++---------
 5 files changed, 67 insertions(+), 172 deletions(-)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!